patch:
  app_options:
    com.apple.Spotlight:
      ascii_mode: false
    com.apple.Terminal:
      ascii_mode: true
    com.microsoft.VSCode:
      ascii_mode: true
      ascii_punct: true
    com.jetbrains.intellij:
      ascii_mode: true
    com.jetbrains.CLion:
      ascii_mode: true
    st:
      ascii_mode: true

  style:
    color_scheme: macos_light
    color_scheme_dark: macos_dark
    text_orientation: horizontal # horizontal | vertical
    candidate_list_layout: linear
    inline_preedit: true
    corner_radius: 10
    hilited_corner_radius: 0
    border_height: 0
    border_width: 0
    line_spacing: 5
    spacing: 10
    #candidate_format: '%c. %@'
    #base_offset: 6
    font_face: "Lucida Grande"
    font_point: 21
    label_font_point: 18
    comment_font_point: 18

  # 皮肤列表
  preset_color_schemes:
    macos_light:
      name: "MacOS 浅色／MacOS Light"
      author: 小码哥
      font_face: "PingFangSC" # 字体及大小
      font_point: 18
      label_font_face: "PingFangSC" # 序号字体及大小
      label_font_point: 12
      comment_font_face: "PingFangSC" # 注字体及大小
      comment_font_point: 16
      candidate_format: "%c\u2005%@\u2005" # 编号 %c 和候选词 %@ 前后的空间
      candidate_list_layout: linear # 候选排布：层叠 stacked | 行 linear
      text_orientation: horizontal # 行文向： 横 horizontal | 纵 vertical
      inline_preedit: true # 拼音位于： 候选框 false | 行内 true
      translucency: false # 磨砂： false | true
      mutual_exclusive: false # 色不叠加： false | true
      border_height: 1 # 外边框 高
      border_width: 1 # 外边框 宽
      corner_radius: 5 # 外边框 圆角半径
      hilited_corner_radius: 5 # 选中框 圆角半径
      surrounding_extra_expansion: 0 # 候选项背景相对大小？
      shadow_size: 0 # 阴影大小
      line_spacing: 5 # 行间距
      base_offset: 0 # 字基高
      alpha: 1 # 透明度，0~1
      spacing: 10 # 拼音与候选项之间的距离 （inline_preedit: false）
      color_space: srgb # 色彩空间： srgb | display_p3
      back_color: 0xFFFFFF # 底色
      hilited_candidate_back_color: 0xD75A00 # 选中底色
      label_color: 0x999999 # 序号颜色
      hilited_candidate_label_color: 0xFFFFFF # 选中序号颜色
      candidate_text_color: 0x3c3c3c # 文字颜色
      hilited_candidate_text_color: 0xFFFFFF # 选中文字颜色
      comment_text_color: 0x999999 # 注颜色
      hilited_comment_text_color: 0xFFFFFF # 选中注颜色
      text_color: 0x424242 # 拼音颜色 （inline_preedit: false）
      hilited_text_color: 0xFFFFFF # 选中拼音颜色 （inline_preedit: false）
      candidate_back_color: 0xFFFFFF # 候选项底色
      # preedit_back_color:                   # 拼音底色 （inline_preedit: false）
      hilited_back_color: 0xD75A00 # 选中拼音底色 （inline_preedit: false）
      border_color: 0xFFFFFF # 外边框颜色

    macos_dark:
      name: "MacOS 深色／MacOS Dark"
      author: 小码哥
      font_face: "PingFangSC" # 字体及大小
      font_point: 18
      label_font_face: "PingFangSC" # 序号字体及大小
      label_font_point: 12
      comment_font_face: "PingFangSC" # 注字体及大小
      comment_font_point: 16
      candidate_format: "%c\u2005%@\u2005" # 编号 %c 和候选词 %@ 前后的空间
      candidate_list_layout: linear # 候选排布：层叠 stacked | 行 linear
      text_orientation: horizontal # 行文向： 横 horizontal | 纵 vertical
      inline_preedit: true # 拼音位于： 候选框 false | 行内 true
      translucency: false # 磨砂： false | true
      mutual_exclusive: false # 色不叠加： false | true
      border_height: 1 # 外边框 高
      border_width: 1 # 外边框 宽
      corner_radius: 5 # 外边框 圆角半径
      hilited_corner_radius: 5 # 选中框 圆角半径
      surrounding_extra_expansion: 0 # 候选项背景相对大小？
      shadow_size: 0 # 阴影大小
      line_spacing: 5 # 行间距
      base_offset: 0 # 字基高
      alpha: 1 # 透明度，0~1
      spacing: 10 # 拼音与候选项之间的距离 （inline_preedit: false）
      color_space: srgb # 色彩空间： srgb | display_p3
      back_color: 0x1f1e2d # 底色
      hilited_candidate_back_color: 0xD75A00 # 选中底色
      label_color: 0x999999 # 序号颜色
      hilited_candidate_label_color: 0xFFFFFF # 选中序号颜色
      candidate_text_color: 0xe9e9ea # 文字颜色
      hilited_candidate_text_color: 0xFFFFFF # 选中文字颜色
      comment_text_color: 0x999999 # 注颜色
      hilited_comment_text_color: 0x999999 # 选中注颜色
      text_color: 0x808080 # 拼音颜色 （inline_preedit: false）
      hilited_text_color: 0xFFFFFF # 选中拼音颜色 （inline_preedit: false）
      candidate_back_color: 0x1f1e2d # 候选项底色
      # preedit_back_color:                   # 拼音底色 （inline_preedit: false）
      hilited_back_color: 0xD75A00 # 选中拼音底色 （inline_preedit: false）
      border_color: 0x050505 # 外边框颜色

    wechat_light:
      name: "微信浅色／Wechat Light"
      author: 小码哥
      font_face: "PingFangSC" # 字体及大小
      font_point: 16
      label_font_face: "PingFangSC" # 序号字体及大小
      label_font_point: 13
      comment_font_face: "PingFangSC" # 注字体及大小
      comment_font_point: 16
      candidate_format: "%c\u2005%@\u2005" # 编号 %c 和候选词 %@ 前后的空间
      candidate_list_layout: linear # 候选排布：层叠 stacked | 行 linear
      text_orientation: horizontal # 行文向： 横 horizontal | 纵 vertical
      inline_preedit: true # 拼音位于： 候选框 false | 行内 true
      translucency: false # 磨砂： false | true
      mutual_exclusive: false # 色不叠加： false | true
      border_height: 1 # 外边框 高
      border_width: 1 # 外边框 宽
      corner_radius: 5 # 外边框 圆角半径
      hilited_corner_radius: 5 # 选中框 圆角半径
      surrounding_extra_expansion: 0 # 候选项背景相对大小？
      shadow_size: 0 # 阴影大小
      line_spacing: 5 # 行间距
      base_offset: 0 # 字基高
      alpha: 1 # 透明度，0~1
      spacing: 10 # 拼音与候选项之间的距离 （inline_preedit: false）
      color_space: srgb # 色彩空间： srgb | display_p3
      back_color: 0xFFFFFF # 底色
      hilited_candidate_back_color: 0x79af22 # 选中底色
      label_color: 0x999999 # 序号颜色
      hilited_candidate_label_color: 0xFFFFFF # 选中序号颜色
      candidate_text_color: 0x3c3c3c # 文字颜色
      hilited_candidate_text_color: 0xFFFFFF # 选中文字颜色
      comment_text_color: 0x999999 # 注颜色
      hilited_comment_text_color: 0x999999 # 选中注颜色
      text_color: 0x424242 # 拼音颜色 （inline_preedit: false）
      hilited_text_color: 0x999999 # 选中拼音颜色 （inline_preedit: false）
      candidate_back_color: 0xFFFFFF # 候选项底色
      # preedit_back_color:                   # 拼音底色 （inline_preedit: false）
      hilited_back_color: 0x79af22 # 选中拼音底色 （inline_preedit: false）
      border_color: 0xFFFFFF # 外边框颜色

    wechat_dark:
      name: "微信深色／Wechat Dark"
      author: 小码哥
      font_face: "PingFangSC" # 字体及大小
      font_point: 16
      label_font_face: "PingFangSC" # 序号字体及大小
      label_font_point: 13
      comment_font_face: "PingFangSC" # 注字体及大小
      comment_font_point: 16
      candidate_format: "%c\u2005%@\u2005" # 编号 %c 和候选词 %@ 前后的空间
      candidate_list_layout: linear # 候选排布：层叠 stacked | 行 linear
      text_orientation: horizontal # 行文向： 横 horizontal | 纵 vertical
      inline_preedit: true # 拼音位于： 候选框 false | 行内 true
      translucency: false # 磨砂： false | true
      mutual_exclusive: false # 色不叠加： false | true
      border_height: 1 # 外边框 高
      border_width: 1 # 外边框 宽
      corner_radius: 5 # 外边框 圆角半径
      hilited_corner_radius: 5 # 选中框 圆角半径
      surrounding_extra_expansion: 0 # 候选项背景相对大小？
      shadow_size: 0 # 阴影大小
      line_spacing: 5 # 行间距
      base_offset: 0 # 字基高
      alpha: 1 # 透明度，0~1
      spacing: 10 # 拼音与候选项之间的距离 （inline_preedit: false）
      color_space: srgb # 色彩空间： srgb | display_p3
      back_color: 0x151515 # 底色
      hilited_candidate_back_color: 0x79af22 # 选中底色
      label_color: 0x999999 # 序号颜色
      hilited_candidate_label_color: 0xFFFFFF # 选中序号颜色
      candidate_text_color: 0xbbbbbb # 文字颜色
      hilited_candidate_text_color: 0xFFFFFF # 选中文字颜色
      comment_text_color: 0x999999 # 注颜色
      hilited_comment_text_color: 0xFFFFFF # 选中注颜色
      text_color: 0xbbbbbb # 拼音颜色 （inline_preedit: false）
      hilited_text_color: 0x999999 # 选中拼音颜色 （inline_preedit: false）
      candidate_back_color: 0x151515 # 候选项底色
      # preedit_back_color:                   # 拼音底色 （inline_preedit: false）
      hilited_back_color: 0x79af22 # 选中拼音底色 （inline_preedit: false）
      border_color: 0x292929 # 外边框颜色

    mac_light:
      name: Mac浅色
      horizontal: true # true横排，false竖排
      candidate_format: "%c %@ " # 用 1/6 em 空格 U+2005 来控制编号 %c 和候选词 %@ 前后的空间
      corner_radius: 5 # 窗口圆角
      hilited_corner_radius: 5 # 高亮圆角
      line_spacing: 10 # 行间距(适用于竖排)
      border_height: 4 # 窗口上下高度，大于圆角半径才生效
      border_width: 4 # 窗口左右宽度，大于圆角半径才生效
      font_face: "PingFangSC" # 候选词字体
      font_point: 21 # 候选字大小
      label_font_point: 13 # 候选编号大小
      text_color: 0x424242 # 拼音行文字颜色
      back_color: 0xFFFFFF # 候选条背景色
      border_color: 0xFFFFFF # 边框色
      label_color: 0x999999 # 预选栏编号颜色
      candidate_text_color: 0x3c3c3c # 预选项文字颜色
      comment_text_color: 0x999999 # 拼音等提示文字颜色
      hilited_text_color: 0x999999 # 高亮拼音 (需要开启内嵌编码)
      hilited_back_color: 0xD75A00 # 第一候选项背景背景色
      hilited_candidate_text_color: 0xFFFFFF # 第一候选项文字颜色
      hilited_candidate_label_color: 0xFFFFFF # 第一候选项编号颜色
      hilited_comment_text_color: 0x999999 # 注解文字高亮
    mac_dark:
      name: Mac深色
      horizontal: true # true横排，false竖排
      candidate_format: "%c %@ " # 用 1/6 em 空格 U+2005 来控制编号 %c 和候选词 %@ 前后的空间
      corner_radius: 5 # 窗口圆角
      hilited_corner_radius: 5 # 高亮圆角
      line_spacing: 10 # 行间距(适用于竖排)
      border_height: 4 # 窗口上下高度，大于圆角半径才生效
      border_width: 4 # 窗口左右宽度，大于圆角半径才生效
      font_face: "PingFangSC" # 候选词字体
      font_point: 21 # 候选字大小
      label_font_point: 13 # 候选编号大小
      text_color: 0x424242 # 拼音行文字颜色
      back_color: 0x252a2e # 候选条背景色
      border_color: 0x050505 # 边框色
      label_color: 0x999999 # 预选栏编号颜色
      candidate_text_color: 0xe9e9ea # 预选项文字颜色
      comment_text_color: 0x999999 # 拼音等提示文字颜色
      hilited_text_color: 0x999999 # 高亮拼音 (需要开启内嵌编码)
      hilited_back_color: 0xD75A00 # 第一候选项背景背景色
      hilited_candidate_text_color: 0xFFFFFF # 第一候选项文字颜色
      hilited_candidate_label_color: 0xFFFFFF # 第一候选项编号颜色
      hilited_comment_text_color: 0x999999 # 注解文字高亮

    mac_green:
      name: Mac绿色
      horizontal: true # true横排，false竖排
      candidate_format: "%c %@ " # 用 1/6 em 空格 U+2005 来控制编号 %c 和候选词 %@ 前后的空间
      corner_radius: 5 # 窗口圆角
      hilited_corner_radius: 5 # 高亮圆角
      line_spacing: 10 # 行间距(适用于竖排)
      border_height: 4 # 窗口上下高度，大于圆角半径才生效
      border_width: 4 # 窗口左右宽度，大于圆角半径才生效
      font_face: "PingFangSC" # 候选词字体
      font_point: 21 # 候选字大小
      label_font_point: 13 # 候选编号大小
      text_color: 0x424242 # 拼音行文字颜色
      back_color: 0xFFFFFF # 候选条背景色
      border_color: 0xFFFFFF # 边框色
      label_color: 0x999999 # 预选栏编号颜色
      candidate_text_color: 0x3c3c3c # 预选项文字颜色
      comment_text_color: 0x999999 # 拼音等提示文字颜色
      hilited_text_color: 0x999999 # 高亮拼音 (需要开启内嵌编码)
      hilited_candidate_back_color: 0x32A14C # 第一候选项背景色
      hilited_candidate_text_color: 0xFFFFFF # 第一候选项文字颜色
      hilited_candidate_label_color: 0xFFFFFF # 第一候选项编号颜色
      hilited_comment_text_color: 0x999999 # 注解文字高亮

    mac_orange:
      name: Mac橙色
      horizontal: true # true横排，false竖排
      candidate_format: "%c %@ " # 用 1/6 em 空格 U+2005 来控制编号 %c 和候选词 %@ 前后的空间
      corner_radius: 5 # 窗口圆角
      hilited_corner_radius: 5 # 高亮圆角
      line_spacing: 10 # 行间距(适用于竖排)
      border_height: 4 # 窗口上下高度，大于圆角半径才生效
      border_width: 4 # 窗口左右宽度，大于圆角半径才生效
      font_face: "PingFangSC" # 候选词字体
      font_point: 21 # 候选字大小
      label_font_point: 13 # 候选编号大小
      text_color: 0x424242 # 拼音行文字颜色
      back_color: 0xFFFFFF # 候选条背景色
      border_color: 0xFFFFFF # 边框色
      label_color: 0x999999 # 预选栏编号颜色
      candidate_text_color: 0x3c3c3c # 预选项文字颜色
      comment_text_color: 0x999999 # 拼音等提示文字颜色
      hilited_text_color: 0x999999 # 高亮拼音 (需要开启内嵌编码)
      hilited_candidate_back_color: 0x0E6BD8 # 第一候选项背景色
      hilited_candidate_text_color: 0xFFFFFF # 第一候选项文字颜色
      hilited_candidate_label_color: 0xFFFFFF # 第一候选项编号颜色
      hilited_comment_text_color: 0x999999 # 注解文字高亮

    mac_blue:
      name: Mac浅蓝
      horizontal: true # true横排，false竖排
      candidate_format: "%c %@ " # 用 1/6 em 空格 U+2005 来控制编号 %c 和候选词 %@ 前后的空间
      corner_radius: 5 # 窗口圆角
      font_face: "PingFangSC" # 候选词字体
      font_point: 21 # 候选字大小
      label_font_point: 13 # 候选编号大小
      line_spacing: 10 # 行间距(适用于竖排)
      text_color: 0x424242 # 拼音行文字颜色
      back_color: 0xFFFFFF # 候选条背景色
      border_color: 0xFFFFFF # 边框色
      label_color: 0x999999 # 预选栏编号颜色
      candidate_text_color: 0x3c3c3c # 预选项文字颜色
      comment_text_color: 0x999999 # 拼音等提示文字颜色
      hilited_text_color: 0x999999 # 高亮拼音 (需要开启内嵌编码)
      hilited_back_color: 0xF8AA4D # 第一候选项背景背景色
      hilited_candidate_text_color: 0xFFFFFF # 第一候选项文字颜色
      hilited_candidate_label_color: 0xFFFFFF # 第一候选项编号颜色
      hilited_comment_text_color: 0x999999 # 注解文字高亮

    win10:
      horizontal: true # true横排，false竖排
      candidate_format: "%c %@  " # 如果是竖排建议改为 "%c\u2005%@"
      font_point: 17 # 候选文字大小
      label_font_point: 16 # 候选编号大小
      corner_radius: 0 # 候选条圆角
      border_width: 6 # 窗口左右宽度
      border_height: 6 # 窗口左右高度
      margin_x: 12 # 字起始距左边距离
      margin_y: 12 # 字上下边距
      spacing: 10 # 间距
      candidate_spacing: 24 # 候选字间隔
      line_spacing: 10 # 行间距(适用于竖排)
      hilite_spacing: 8 # 序号和候选字之间的间隔
      hilite_padding: 12 # 候选字背景色色块高度 若想候选字背景色块无边界填充候选框，仅需其高度和候选字上下边距一致即可
      round_corner: 0 # 候选字背景色块圆角幅度
      candidate_text_color: 0x000000 # 预选项文字颜色
      comment_text_color: 0x888888 # 拼音等提示文字颜色
      text_color: 0x000000 # 拼音行文字颜色
      back_color: 0xffffff # 候选条背景色，24位色值，16进制，BGR顺序
      hilited_text_color: 0x000000 # 高亮拼音 (需要开启内嵌编码)
      hilited_back_color: 0xffffff # 第一候选项背景背景色
      hilited_candidate_text_color: 0xffffff # 第一候选项文字颜色
      hilited_candidate_back_color: 0xcc8f29 # 候选文字背景色
      hilited_comment_text_color: 0xffffff # 注解文字高亮
      hilited_label_color: 0xffffff # 已选字的数字的颜色
      label_color: 0x888888 # 预选栏编号颜色
